how to set up vmware player in ubuntu?

Asked by Lars Martin Hambro on 2021-04-08

vnware player failed install kernel setting?

| ^~~~~~~~~~~~~~~~~~~~~
2021-04-08T07:52:10.609+02:00| host-111123| I005: In file included from ./arch/x86/include/asm/checksum.h:8,
2021-04-08T07:52:10.609+02:00| host-111123| I005: from ./include/net/checksum.h:22,
2021-04-08T07:52:10.609+02:00| host-111123| I005: from ./include/linux/skbuff.h:28,
2021-04-08T07:52:10.609+02:00| host-111123| I005: from ./include/linux/if_ether.h:19,
2021-04-08T07:52:10.609+02:00| host-111123| I005: from /tmp/modconfig-GqYRvZ/vmnet-only/userif.c:27:
2021-04-08T07:52:10.609+02:00| host-111123| I005: ./arch/x86/include/asm/checksum_64.h:136:15: note: declared here
2021-04-08T07:52:10.609+02:00| host-111123| I005: 136 | extern __wsum csum_and_copy_to_user(const void *src, void __user *dst, int len);
2021-04-08T07:52:10.609+02:00| host-111123| I005: | ^~~~~~~~~~~~~~~~~~~~~
2021-04-08T07:52:10.609+02:00| host-111123| I005: make[2]: *** [scripts/Makefile.build:279: /tmp/modconfig-GqYRvZ/vmnet-only/userif.o] Error 1
2021-04-08T07:52:10.609+02:00| host-111123| I005: make[2]: *** Waiting for unfinished jobs....
2021-04-08T07:52:10.609+02:00| host-111123| I005: In file included from /tmp/modconfig-GqYRvZ/vmnet-only/net.h:38,
2021-04-08T07:52:10.609+02:00| host-111123| I005: from /tmp/modconfig-GqYRvZ/vmnet-only/vnetInt.h:26,
2021-04-08T07:52:10.609+02:00| host-111123| I005: from /tmp/modconfig-GqYRvZ/vmnet-only/bridge.c:53:
2021-04-08T07:52:10.609+02:00| host-111123| I005: /tmp/modconfig-GqYRvZ/vmnet-only/vm_device_version.h:56: warning: "PCI_VENDOR_ID_VMWARE" redefined
2021-04-08T07:52:10.609+02:00| host-111123| I005: 56 | #define PCI_VENDOR_ID_VMWARE 0x15AD
2021-04-08T07:52:10.609+02:00| host-111123| I005: |
2021-04-08T07:52:10.609+02:00| host-111123| I005: In file included from ./include/linux/pci.h:43,
2021-04-08T07:52:10.609+02:00| host-111123| I005: from /tmp/modconfig-GqYRvZ/vmnet-only/compat_netdevice.h:27,
2021-04-08T07:52:10.609+02:00| host-111123| I005: from /tmp/modconfig-GqYRvZ/vmnet-only/bridge.c:52:
2021-04-08T07:52:10.609+02:00| host-111123| I005: ./include/linux/pci_ids.h:2295: note: this is the location of the previous definition
2021-04-08T07:52:10.609+02:00| host-111123| I005: 2295 | #define PCI_VENDOR_ID_VMWARE 0x15ad
2021-04-08T07:52:10.609+02:00| host-111123| I005: |
2021-04-08T07:52:10.609+02:00| host-111123| I005: In file included from /tmp/modconfig-GqYRvZ/vmnet-only/net.h:38,
2021-04-08T07:52:10.609+02:00| host-111123| I005: from /tmp/modconfig-GqYRvZ/vmnet-only/vnetInt.h:26,
2021-04-08T07:52:10.609+02:00| host-111123| I005: from /tmp/modconfig-GqYRvZ/vmnet-only/bridge.c:53:
2021-04-08T07:52:10.609+02:00| host-111123| I005: /tmp/modconfig-GqYRvZ/vmnet-only/vm_device_version.h:74: warning: "PCI_DEVICE_ID_VMWARE_VMXNET3" redefined
2021-04-08T07:52:10.609+02:00| host-111123| I005: 74 | #define PCI_DEVICE_ID_VMWARE_VMXNET3 0x07B0
2021-04-08T07:52:10.609+02:00| host-111123| I005: |
2021-04-08T07:52:10.609+02:00| host-111123| I005: In file included from ./include/linux/pci.h:43,
2021-04-08T07:52:10.609+02:00| host-111123| I005: from /tmp/modconfig-GqYRvZ/vmnet-only/compat_netdevice.h:27,
2021-04-08T07:52:10.609+02:00| host-111123| I005: from /tmp/modconfig-GqYRvZ/vmnet-only/bridge.c:52:
2021-04-08T07:52:10.609+02:00| host-111123| I005: ./include/linux/pci_ids.h:2296: note: this is the location of the previous definition
2021-04-08T07:52:10.609+02:00| host-111123| I005: 2296 | #define PCI_DEVICE_ID_VMWARE_VMXNET3 0x07b0
2021-04-08T07:52:10.609+02:00| host-111123| I005: |
2021-04-08T07:52:10.609+02:00| host-111123| I005: make[1]: *** [Makefile:1806: /tmp/modconfig-GqYRvZ/vmnet-only] Error 2
2021-04-08T07:52:10.609+02:00| host-111123| I005: make: *** [Makefile:117: vmnet.ko] Error 2
2021-04-08T07:52:10.609+02:00| host-111123| I005: Unable to install all modules. See log for details.
2021-04-08T07:52:10.609+02:00| host-111123| I005:

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu Edit question
Assignee:
No assignee Edit question
Last query:
2021-04-08
Last reply:
2021-04-08

What is the output of:

lsb_release -a;uname -a

Thanks

No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu Hirsute Hippo (development branch)
Release: 21.04
Codename: hirsute
Linux Multicom-pc 5.11.0-13-generic #14-Ubuntu SMP Fri Mar 19 16:55:27 UTC 2021 x86_64 x86_64 x86_64 GNU/Linux

but its same with older distribution so i guess its config or package issue?

Hirsute isn't stable or ready. I suggest you report a bug. If the system is to run VMs then why would you not want to use the latest LTS? Hirsute is only supported for 9 months....

Manfred Hampl (m-hampl) said : #5

"but its same with older distribution so i guess its config or package issue?"

Your problem probably is caused by changes between the 5.8 and 5.11 versions of the kernel, and the vmware package that you try to use has not yet been modified for the 5.11 kernel series.

If you look at https://kb.vmware.com/s/article/80807 you can see that Ubuntu 21.04 is not yet supported by vmware.
This is one of the problems that you have to expect if you are using an operating system that is not yet released like Ubuntu 21.04

But its possible to start it without kernel? or start it with terminal? or did its be worksaround?

Manfred Hampl (m-hampl) said : #7

I do not know any workaround.

Currently there is no supported version of vmware for Ubuntu 21.04
You have to wait until updated software is published.

Why did you install Ubuntu 21.04 if you need vmware?

Can you help with this problem?

Provide an answer of your own, or ask Lars Martin Hambro for more information if necessary.

To post a message you must log in.